package cz.vutbr.feec.gui;

import cz.vutbr.feec.stockElements.AbstractStockCell;
import javafx.scene.image.Image;

public class OtherObjectInCanvas {
	private OtherCanvas otherCanvas;
	public OtherCanvas getOtherCanvas() {
		return otherCanvas;
	}
	
	private boolean isAccessible;
	private int positionX;
	private int positionY;
	private int sizeX;
	private int sizeY;
	private Image image;
	
	public OtherObjectInCanvas(int posX, int posY, int sizeX, int sizeY, Image img, boolean accessible, OtherCanvas oc){
		this.positionX = posX;
		this.positionY = posY;
		this.sizeX = sizeX;
		this.sizeY = sizeY;
		this.otherCanvas = oc;
		this.image = img;
		this.isAccessible = accessible;
		
	}

	public int getPositionX() {
		return positionX;
	}

	public int getPositionY() {
		return positionY;
	}

	public int getSizeX() {
		return sizeX;
	}

	public int getSizeY() {
		return sizeY;
	}

	public Image getImage() {
		return image;
	}

	public void setImage(Image image) {
		this.image = image;
	}

	public boolean isAccessible() {
		return isAccessible;
	}

	public void setAccessible(boolean isAccessible) {
		this.isAccessible = isAccessible;
	}

	
}
